E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
GPop::Server Class Reference

A POP server class. More...

`#include <gpopserver.h>`

Inheritance diagram for GPop::Server:

## Classes
struct | Config
| A structure containing GPop::Server configuration parameters. More...

## Public Member Functions
| Server (GNet::ExceptionHandler &, Store &store, const Secrets &, Config)
| Constructor. The 'secrets' reference is kept.
virtual | ~Server ()
| Destructor.
void | report () const
| Generates helpful diagnostics after construction.
Public Member Functions inherited from GNet::MultiServer
| MultiServer (ExceptionHandler &, const AddressList &address_list)
| Constructor. More...
| MultiServer (ExceptionHandler &)
| Default constructor. Initialise with init().
void | init (const AddressList &address_list)
| Initilisation after default construction. More...
virtual | ~MultiServer ()
| Destructor.
std::pair< bool, Address > | firstAddress () const
| Returns the first listening address. More...

## Additional Inherited Members
Public Types inherited from GNet::MultiServer
typedef std::vector< Address > | AddressList
typedef Server::PeerInfo | PeerInfo
Static Public Member Functions inherited from GNet::MultiServer
static bool | canBind (const AddressList &listening_address_list, bool do_throw)
| Checks that the specified addresses can be bound. More...
static AddressList | addressList (const Address &)
| A trivial convenience fuction that returns the given address as a single-element list. More...
static AddressList | addressList (const AddressList &, unsigned int port)
| Returns the given list of addresses with the port set correctly. More...
static AddressList | addressList (const G::StringArray &, unsigned int port)
| A convenience function that returns a list of listening addresses given a list of listening interfaces and a port number. More...
Protected Member Functions inherited from GNet::MultiServer
void | serverCleanup ()
| Should be called from all derived classes' destructors so that peer objects can use their Server objects safely during their own destruction. More...
void | serverReport (const std::string &server_type) const
| Writes to the system log a summary of the underlying server objects and their addresses. More...

## Detailed Description

A POP server class.

Definition at line 94 of file gpopserver.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopserver.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpop_disabled.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gpop/gpopserver.cpp